<template>
    <div v-if="$store.state.isReady">
    <div class="h-screen w-screen flex">
    <navigation></navigation>
        <headertop class="flex-wrap fixed w-screen m-auto justify-between items-center"></headertop>
        <router-view></router-view>
    </div>
    </div>
</template>

<script>
import Navigation from "./modules/admin/pages/home/Navigation"
import Headertop from "./modules/admin/pages/home/Headertop"

export default {
    components:{
        Navigation,
        Headertop
    },
    data() {
        return {
            loading: true
        };
    },
    mounted() {
        const loadingComponent = this.$buefy.loading.open();

        setTimeout(() => {
            loadingComponent.close();
            this.loading = false;
        }, 800);
    }
}
</script>
